SDL_SetSurfaceColorKey(3)

NAME
SDL_SetSurfaceColorKey - Set the color key (transparent pixel) in a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetSurfaceColorKey(SDL_Surface *surface, bool enabled, Uint32 key);

DESCRIPTION
The color key defines a pixel value that will be treated as transparent in a blit. For example, one can use this to specify that cyan pixels should be considered transparent, and therefore not rendered.

It is a pixel of the format used by the surface, as generated by

SDL_MapRGB ().

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update.

enabled
    true to enable color key, false to disable color key.

key the transparent pixel.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetSurfaceColorKey(3), •(3), SDL_SetSurfaceRLE(3), •(3), SDL_SurfaceHasColorKey(3)